package com.hai.common.exception;

/**
 * sl框架基础异常，不允许自己new实例，需要同步工具类进行实例化
 */
public class BaseException extends RuntimeException {
    protected String errorCode;
    protected String errorMsg;

    BaseException(String errorCode, String errorMsg) {
        super("errorCode="+errorCode+", errorMsg="+errorMsg);
        this.errorCode = errorCode;
        this.errorMsg = errorMsg;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }
}
